Subject: Re: [ofa-general] Re: [PATCH v3 08/13] QLogic VNIC: sysfs interface implementation for the driver

From: Patrick McHardy <[email-masked]>
Date: Thu, 05 Jun 2008 19:32:59 +0200

Stephen Hemminger wrote:
> On Thu, 05 Jun 2008 09:38:36 -0700
> Roland Dreier <[email-masked]> wrote:
> 
>>  > That said, given that SRP's been using sysfs since it went in, is there
>>  > a reason to move to configfs other than it's the new preferred way to do
>>  > it? Given the desire to not break ABI's -- and IIRC sysfs was declared to
>>  > be under that unbrella -- wouldn't we have to at least carry both
>>  > interfaces for a while, assuming we can even get rid of the sysfs one?
>>
>> Yes, we'd definitely be carrying both interfaces for at least a year.
>>
>> Looking further into this, I'm not sure it makes much sense either.
>> Another problem with configfs is that the lifetime of the object is
>> controlled by userspace.  So if we lose a connection to a target,
>> the object will persist in configfs until userspace notices.
>>
>>  - R.
> 
> There is nothing stopping adding a well designed alternate interface.
> Either netlink or ioctl's are okay. As long as it is 32/64 bit clean.

 From a quick look it seems it should use rtnl_link instead
of adding yet another private sysfs interface.